"use strict";
this.name                   = "EquipmentRemoveItemColor";
this.author                 = "phkb";
this.copyright              = "2017 phkb";
this.description            = "Changes the color of all equipment items described as 'Remove'";
this.licence                = "CC BY-NC-SA 4.0";

this._exceptions = ["EQ_TOWBAR","EQ_SHIPMINER"];
this._inclusions = [];

//-------------------------------------------------------------------------------------------------------------
this.startUpComplete = function() {
	var eq = EquipmentInfo.allEquipment;
	for (var i = 0; i < eq.length; i++) {
		var itm = eq[i];
		var desc = itm.description.toLowerCase();
		if (itm.displayColor == null & (desc.indexOf("remove") >= 0 || (desc.indexOf("sell ") >= 0 && desc.indexOf("buy ") === -1) || desc.indexOf("unmount") >= 0 || desc.indexOf("undo ") >= 0 || itm.equipmentKey.indexOf("REFUND") >= 0 ||this._inclusions.indexOf(itm.equipmentKey) >= 0)) {
			if (this._exceptions.indexOf(itm.equipmentKey) >= 0) continue; 
			itm.displayColor = "redColor";
		}
	}
}